package chapter07;

import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;

import org.w3c.dom.Document;
import org.w3c.dom.Element;
import org.w3c.dom.Node;
import org.w3c.dom.NodeList;

public class MyElement03 {

	public static void main(String[] args) {
		try {
			DocumentBuilderFactory docfactory = DocumentBuilderFactory
					.newInstance();
			DocumentBuilder docbuilder = docfactory.newDocumentBuilder();
			Document document = docbuilder.parse("element03.xml");

			NodeList nl0 = document.getElementsByTagName("aaa");
			for (int i = 0; i < nl0.getLength(); i++) {
				Element element = (Element) nl0.item(i);
				NodeList nl1 = element.getChildNodes();
				for (int j = 0; j < nl1.getLength(); j++) {
					printNode(nl1.item(j));
				}
			}
		} catch (Exception ex) {
			ex.printStackTrace();
		}
	}

	public static void printNode(Node node) {
		System.out.println(node.getNodeType() + "F" + node.getNodeName() + ":"
				+ node.getNodeValue());
	}
}