package chapter07;

import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;

import org.w3c.dom.Document;
import org.w3c.dom.Element;
import org.w3c.dom.Node;
import org.w3c.dom.NodeList;

public class MyNamespace02 {

	public static void main(String[] args) {
		try {
			DocumentBuilderFactory docfactory = DocumentBuilderFactory
					.newInstance();
			docfactory.setNamespaceAware(true);
			DocumentBuilder docbuilder = docfactory.newDocumentBuilder();
			Document document = docbuilder.parse("namespace02.xml");

			Element docElement = document.getDocumentElement();

			NodeList nl = docElement.getElementsByTagNameNS(
					"http://example.com", "aaa");
			printNamespaceProp(nl.item(0));

		} catch (Exception ex) {
			ex.printStackTrace();
		}
	}

	public static void printNamespaceProp(Node node) {
		System.out.println("O@:@" + node.getNodeName());
		System.out.println("OURI@:@" + node.getNamespaceURI());
		System.out.println("OԐړ@:@" + node.getPrefix());
		System.out.println("[J@:@" + node.getLocalName());
	}
}