package chapter07;

import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;

import org.w3c.dom.Attr;
import org.w3c.dom.Document;
import org.w3c.dom.Element;
import org.w3c.dom.Node;

public class MyNamespace03 {

	public static void main(String[] args) {
		try {
			DocumentBuilderFactory docfactory = DocumentBuilderFactory
					.newInstance();
			docfactory.setNamespaceAware(true);
			DocumentBuilder docbuilder = docfactory.newDocumentBuilder();
			Document document = docbuilder.parse("namespace03.xml");

			Element docElement = document.getDocumentElement();

			Attr attr = docElement.getAttributeNodeNS("http://example.com",
					"attr");

			printNamespaceProp(attr);

		} catch (Exception ex) {
			ex.printStackTrace();
		}
	}

	public static void printNamespaceProp(Node node) {
		System.out.println("O@:@" + node.getNodeName());
		System.out.println("OURI@:@" + node.getNamespaceURI());
		System.out.println("OԐړ@:@" + node.getPrefix());
		System.out.println("[J@:@" + node.getLocalName());
	}
}