package chapter07;

import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;

import org.w3c.dom.Attr;
import org.w3c.dom.Document;
import org.w3c.dom.Element;
import org.w3c.dom.Node;
import org.w3c.dom.NodeList;

public class MyAttr01 {

	public static void main(String[] args) {
		try {
			DocumentBuilderFactory docfactory = DocumentBuilderFactory
					.newInstance();
			DocumentBuilder docbuilder = docfactory.newDocumentBuilder();
			Document document = docbuilder.parse("attr01.xml");

			NodeList nl = document.getElementsByTagName("aaa");
			for (int i = 0; i < nl.getLength(); i++) {
				Element element = (Element) nl.item(i);
				Attr attr = element.getAttributeNode("attr1");
				printNode(attr);
			}
		} catch (Exception ex) {
			ex.printStackTrace();
		}
	}

	public static void printNode(Node node) {
		System.out.println(node.getNodeType() + "F" + node.getNodeName() + ":"
				+ node.getNodeValue());
	}
}