package chapter07;

import java.io.OutputStream;

import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;
import javax.xml.transform.Transformer;
import javax.xml.transform.TransformerFactory;
import javax.xml.transform.dom.DOMSource;
import javax.xml.transform.stream.StreamResult;

import org.w3c.dom.Attr;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.Document;
import org.w3c.dom.Element;
import org.w3c.dom.Node;

import com.sun.org.apache.xerces.internal.dom.DOMImplementationImpl;

public class MyAttr11 {

	public static void main(String[] args) {
		try {
			DocumentBuilderFactory docfactory = DocumentBuilderFactory
					.newInstance();
			DocumentBuilder docbuilder = docfactory.newDocumentBuilder();

			DOMImplementation impl = DOMImplementationImpl
					.getDOMImplementation();
			Document mydoc = impl.createDocument("", "root", null);

			Element documentElement = mydoc.getDocumentElement();

			Element element = mydoc.createElement("aaa");

			Attr attr = mydoc.createAttribute("att1");
			attr.setValue("a1");
			element.setAttributeNode(attr);

			element.setAttribute("att2", "a2");

			documentElement.appendChild(element);

			saveXML(mydoc, System.out);

		} catch (Exception ex) {
			ex.printStackTrace();
		}
	}

	public static void saveXML(Node node, OutputStream out)
			throws Exception {
		TransformerFactory tff = TransformerFactory.newInstance();
		Transformer tf = tff.newTransformer();

		DOMSource domsrc = new DOMSource();
		domsrc.setNode(node);

		StreamResult sr = new StreamResult(out);

		tf.transform(domsrc, sr);
	}
}