package chapter07;

import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;

import org.w3c.dom.Document;
import org.w3c.dom.DocumentType;
import org.w3c.dom.NamedNodeMap;

public class MyDocumentType01 {

	public static void main(String[] args) {
		try {
			DocumentBuilderFactory docfactory = DocumentBuilderFactory
					.newInstance();
			docfactory.setValidating(true);
			DocumentBuilder docbuilder = docfactory.newDocumentBuilder();
			Document document = docbuilder.parse("documentType01.xml");

			DocumentType docType = document.getDoctype();

			System.out.println(docType.getName());

			NamedNodeMap nnm1 = docType.getEntities();
			for (int i = 0; i < nnm1.getLength(); i++) {
				System.out.println("entities@F@" + nnm1.item(i).getNodeName());
			}

			NamedNodeMap nnm2 = docType.getNotations();
			for (int i = 0; i < nnm2.getLength(); i++) {
				System.out.println("notations@F@" + nnm2.item(i).getNodeName());
			}

		} catch (Exception ex) {
			ex.printStackTrace();
		}
	}
}