package chapter07;

import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;

import org.w3c.dom.Document;
import org.w3c.dom.Node;
import org.w3c.dom.NodeList;

public class MyElement01 {

	public static void main(String[] args) {
		try {
			DocumentBuilderFactory docfactory = DocumentBuilderFactory
					.newInstance();
			DocumentBuilder docbuilder = docfactory.newDocumentBuilder();
			Document document = docbuilder.parse("element01.xml");

			NodeList nl = document.getElementsByTagName("bbb");
			for (int i = 0; i < nl.getLength(); i++) {
				printNode(nl.item(i));
			}
		} catch (Exception ex) {
			ex.printStackTrace();
		}
	}

	public static void printNode(Node node) {
		System.out.println(node.getNodeType() + "F" + node.getNodeName() + ":"
				+ node.getNodeValue());
	}
}