package chapter07;

import java.io.OutputStream;

import javax.xml.transform.Transformer;
import javax.xml.transform.TransformerFactory;
import javax.xml.transform.dom.DOMSource;
import javax.xml.transform.stream.StreamResult;

import org.w3c.dom.DOMImplementation;
import org.w3c.dom.Document;
import org.w3c.dom.Element;
import org.w3c.dom.Node;
import org.w3c.dom.Text;

import com.sun.org.apache.xerces.internal.dom.DOMImplementationImpl;

public class MyElement11 {

	public static void main(String[] args) {
		try {
			DOMImplementation impl = DOMImplementationImpl
					.getDOMImplementation();
			Document mydoc = impl.createDocument("", "root", null);

			Element documentElement = mydoc.getDocumentElement();

			Element element = mydoc.createElement("aaa");
			Text text = mydoc.createTextNode("111");
			element.appendChild(text);
			documentElement.appendChild(element);

			saveXML(mydoc, System.out);

		} catch (Exception ex) {
			ex.printStackTrace();
		}
	}

	public static void saveXML(Node node, OutputStream out) throws Exception {
		TransformerFactory tff = TransformerFactory.newInstance();
		Transformer tf = tff.newTransformer();

		DOMSource domsrc = new DOMSource();
		domsrc.setNode(node);

		StreamResult sr = new StreamResult(out);

		tf.transform(domsrc, sr);
	}
}